#!/bin/bash
#
# Instala el repositorio APT Ceibal y ejecuta por primera vez ceibal-update 
# para instalar las actualizaciones existentes.
#

unset CDPATH

if [[ $UID -ne 0 ]]; then 
    echo "El script debe ser ejecutado como root." >&2
    exit 1;
fi

PACKAGES="ceibal-repo-update-wsl2_1.1_all.deb ceibal-repo-update-fixes_1.7~ub20_all.deb"

SOURCE_DIR=$(mktemp --tmpdir -d "ceibal-update-XXXXXX")
cd "${SOURCE_DIR}"

for P in ${PACKAGES}
do
	/usr/bin/curl "http://apt.ceibal.edu.uy/wsl2/${P}" -O
	if [[ "$?" -ne 0 ]] || [[ ! -f ${P} ]]; 
        then
    	    	echo "Error al bajar ${P}." >&2
    		exit 1
	fi

	/usr/bin/dpkg -i "${P}"
	if [[ "$?" -ne 0 ]]; then
	    echo "Error al instalar ${P}." >&2
    		exit 1
	fi
	/bin/rm "${PACKAGE}"
done

/usr/bin/apt install -f

# Ejecutar ceibal-update por primera vez.
/usr/sbin/ceibal-update-check
